Bug 843791 - 'Large Text' accessibility option doesn't activate in the login screen
'Large Text' accessibility option doesn't activate in the login screen
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gdm (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: beta
: ---
Assigned To: Ray Strode [halfline]
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-27 07:40 EDT by Vitezslav Humpa
Modified: 2014-06-13 07:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:50:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vitezslav Humpa 2012-07-27 07:40:55 EDT
Description of problem:
Using the accessibility menu of the same kind as inside the logged gnome-session, the 'Large Text' option doesn't make any changes to the font size or DPI in the login screen

Version-Release number of selected component (if applicable):
gnome-shell-3.4.1-5.el7.x86_64
gdm-3.4.1-3.el7.x86_64

How reproducible:
Always

Steps to Reproduce:
Toggle 'Large Text' on in the login screen
  
Actual results:
Nothing happens

Expected results:
Font size increases in the full gnome-session fashion
Comment 1 Ray Strode [halfline] 2012-08-03 16:59:19 EDT
I think you're original component was probably correct.

The heavy lifting for doing font size changing is handled by gnome-settings-daemon.

The fact it works in the session suggests it's probably overly aggressive lockdown in GDM.

tentatively, moving back to GDM
Comment 2 Matthias Clasen 2012-09-13 09:48:24 EDT
upstream bug: https://bugzilla.gnome.org/show_bug.cgi?id=683459
Comment 3 Matthias Clasen 2012-10-12 20:10:01 EDT
This works in 3.6.0
Comment 4 Vladimir Benes 2013-01-16 11:04:58 EST
working well now
-> VERIFIED
Comment 5 Ludek Smid 2014-06-13 07:50:38 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.